1. Voice Message
FarazSMS Public APIs
  • Auth
    • Login
      POST
    • Register
      POST
    • Verify 2fa
      POST
    • Show Register Form
      GET
    • Logout
      POST
  • Account
    • Profile
      GET
    • Account Balance
      GET
    • update
      POST
    • Charge wallet
      POST
    • Register
      POST
    • Lines
      GET
  • Send
    • Voice Message
      • Send Voice Message
        POST
      • Download Uploded Voice Message File
        GET
      • Upload Voice Message File
        POST
      • Calculate Voice Message Cost
        POST
    • Postalcode SMS
      • Get Available Lines
      • Get Receiver Counts
      • Send Postal Code SMS
    • Simple SMS
      • Send Simple SMS
      • Send Simple SMS from Excel
      • Send Simple SMS from Phonebook
    • Variable-Based SMS
      • Send SMS with Variables
      • Send SMS with Variables from Excel
    • Peer-to-Peer SMS
      • Send Peer-to-Peer SMS
      • Send Peer-to-Peer SMS from Excel
    • Send SMS to Number Bank
      • Get List of Avalibale Banks
    • Send Sample SMS
      POST
    • Send Pattern-Based SMS
      POST
    • Calculate Send SMS Cost
      POST
  • Phonebook
    • Get Phonebooks
      GET
    • Create New Phonebook
      POST
    • Update Phonebook
      PUT
    • Get Phonebook Attributes
      GET
    • Create New Phonebook Attribute
      POST
    • Get Phonebook Contacts
      GET
    • Add New Contact
      POST
    • Delete Contact
      DELETE
  • Pattern
    • Create New Pattern
    • Get Pattern Details
    • Edit Pattern
    • Get List of User's Patterns
  • LBS
    • index
    • store
    • show
    • update
    • cancel
  • Tickets
    • Download Ticket Attached File
    • Get List of Tickets
    • Create New Ticket
    • Show Ticket Conversations
    • Replay to Ticket
    • Close Ticket
  • Order
    • pay
    • apply discount
    • cancel
  • Send Requests
    • Get Send Requests
    • Show Send Request Details
    • Get Send Request Items
  • GEO
    • Get Provinces List
    • Get Cities List of Provinces
  • Get Paged Inbox Messages
    GET
  • Schemas
    • Schemas
      • SelfSampleRequestDto
      • SimpleRequestDto
      • ApiResultString
      • SimpleFileRequestDto
      • ApiResultPagedPhonebook
      • KeywordRequestDto
      • ApiResultPagedPhonebookAttribute
      • KeywordFileRequestDto
      • ApiResultPagedPhonebookData
      • PeerToPeerRequestDto
      • ApiResultPagedInbox
      • PeerToPeerFileRequestDto
      • PagedPhonebook
      • ApiResultNumber
      • PagedPhonebookAttribute
      • ApiResultNumberArray
      • PagedPhonebookData
      • PagedInboxMessages
      • PhonebookAttribute
      • Phonebook
      • PhonebookDataAttribute
      • PhonebookDataRecord
      • PhonebookCreateRequestDto
      • PhonebookAttributeCreateRequestDto
      • InboxMessage
      • PatternAttribute
      • PatternRequestDto
      • PatternSendRequestDto
    • ApiMessage
    • ApiStatus
  1. Voice Message

Send Voice Message

POST
https://api.iranpayamak.com/ws/v1/sms/voice/send
Send a Voice message toward many recipients.
You must use at least one of the attrebute {recipients} or {selectedPhoneBooks}.

Request

Authorization
Add parameter in header
Api-Key
Example:
Api-Key: ********************
Header Params

Body Params application/jsonRequired

Example
{
    "file_id": 1,
    "recipients": [
        "09120000000"
    ],
    "selectedPhoneBooks": [
        {
            "id": 1,
            "offset": 0,
            "limit": 10
        }
    ],
    "schedule": "2025-08-20 15:30:00" // nullable(chosen time to send)
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api.iranpayamak.com/ws/v1/sms/voice/send' \
--header 'Accept: application/json' \
--header 'Api-Key: <api-key>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "file_id": 1,
    "recipients": [
        "09120000000"
    ],
    "selectedPhoneBooks": [
        {
            "id": 1,
            "offset": 0,
            "limit": 10
        }
    ],
    "schedule": "2025-08-20 15:30:00" // nullable(chosen time to send)
}'

Responses

🟢201SMS request is enqueued successfully.
application/json
Body

Example
{
    "status": "success",
    "data": 0,
    "messages": "string"
}
Modified at 2026-03-19 17:03:15
Previous
Send
Next
Download Uploded Voice Message File
Built with